AWS
action IAM

# detach_role_policy

Detach a role from a policy

Run it now
View details

Type | action
Module | chaosaws.iam.actions
Name | detach_role_policy
Return | mapping

Usage

JSON

    {
      "name": "detach-role-policy",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.iam.actions",
        "func": "detach_role_policy",
        "arguments": {
          "arn": "",
          "role_name": ""
        }
      }
    }

YAML

    name: detach-role-policy
    provider:
      arguments:
        arn: ""
        role_name: ""
      func: detach_role_policy
      module: chaosaws.iam.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
arn | string |  | Yes | Policy ARN |
role_name | string |  | Yes | Role Name | Name of the role to detach from the policy

Signature

    def detach_role_policy(
            arn: str,
            role_name: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action IAM

  ## `attach_role_policy`

  Attach a role to a policy
- AWS
  action IAM

  ## `create_policy`

  Create a new IAM policy
- AWS
  probe IAM

  ## `get_policy`

  Get a policy by its ARN